---
kind: pipeline
type: docker
name: default

steps:
  - name: Test
    image: golang
    commands:
      - go test ./...
  - name: Build
    image: golang
    commands:
      - make build
  - name: docker
    image: plugins/docker
    settings:
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      repo: kekskurse/go-sample-webpage
      tags: latest